package plugins;

import java.awt.*;
import java.util.*;
import pluginSDK.*;
import main.*;


/**
 * Title:        the Wondrous Farm
 * Description:
 * Copyright:    Copyright (c) 2002
 * Company:      minfo
 * @author Guillaume VAILLANT
 * @version 0.8
 */
public class BoidType2 extends Boids {

        static {
                System.out.println("chargement du plugin pour Boids: \"BoidType2\"...");
        }

	public BoidType2() {
                super();
                this.setHeight(14);
                this.setWidth(14);
        }

/*        public BoidType2(int X, int Y,
                         double s, double h, double g, double v,
                         String n, Flock f) {
                super(X, Y, s, h, g, v, n, f);
                this.setHeight(14);
                this.setWidth(14);
        } */

        public String getKind() { return "BoidType2"; }

/*        public void doYourStuff() {
                Entity p = this.seekNearest();
                ArrayList lb = this.getBehaviours();
                for (int i = 0; i < lb.size(); i++)
                        ((Behaviours)lb.get(i)).actsOn(this, p, myWorld);
        } */

        public void drawEntity(Graphics g) {

                if (this.isLeader())
                        g.setColor(Color.red);
                else
                        g.setColor(whatIsMyColor());
//                g.setColor(whatIsMyColor());
                g.fillOval(x - 5, y - 5, 10, 10); // la base du boid
                g.drawRect(x - 7, y - 7 , 14, 14);
                g.drawLine(x, y,
                           x + (int)(20 * Math.cos(heading)),
                           y + (int)(20 * Math.sin(heading))); // sa direction
                if (this.getSelected()) {
                        g.setColor(Color.green);
                        g.drawOval(x - 9, y - 9, 18, 18);
                }


        }

}
