package plugins;

import java.awt.*;
import java.awt.image.ImageProducer;
import javax.swing.ImageIcon;

import java.net.URL;
import java.util.ArrayList;

import pluginSDK.*;
import main.Flock;
import utils.SoundPlayer;
import utils.MyImage;

/**
 * Title:        the Wondrous Farm<br>
 * Description:	 une gentille petite fuse<br>
 * Copyright:    Copyright (c) 2002<br>
 * Company:      minfo<br>
 * @author Guillaume VAILLANT
 * @version 1.0
 */

public class Fusee extends Boids {

	private	ImageIcon img = null;
        private SoundPlayer snd = null;
	private Entity p = null;

        static {
                System.out.println("chargement du plugin pour Boids: \"Fusee\"...");
        }

        public Fusee() {
                super();
                this.setHeight(32);
                this.setWidth(32);
        }

        public String getKind() { return "Fusee"; }

        public void drawEntity(Graphics g) {
                if (img == null) {
                        try {
                                URL imgURL = new URL(this.getPath() + "/pict/Fusee.gif");
				img = new ImageIcon(imgURL);
                        } catch(Exception e) {
                                System.err.println("[ERR] Exception caught: " + e.getMessage());
	                        e.printStackTrace();
                                System.exit(-10);
	                }
                }

                if (img != null)
			g.drawImage(img.getImage(), x - 16 , y - 16, img.getImageObserver());

                if (this.getSelected()) {
                        g.setColor(Color.green);
                        g.drawOval(x - 18, y - 18, 36, 36);
                }
        }
}
