package plugins;

import java.awt.*;
import java.util.*;
import pluginSDK.*;
import main.*;

/**
 * Title:        the Wondrous Farm
 * Description:
 * Copyright:    Copyright (c) 2002
 * Company:      minfo
 * @author Sebastien Forget
 * @version 0.8
 */
public class SebBoid0 extends Boids {

        static {
                System.out.println("chargement du plugin pour Boids: \"SebBoid0\"...");
        }

	public SebBoid0() {
	       super(); 
	       this.setHeight(14);
	       this.setWidth(14);
	}


        public String getKind() { return "SebBoid0"; }


        public void drawEntity(Graphics g) {

                if (this.isLeader())
                        g.setColor(Color.red);
                else
                        g.setColor(whatIsMyColor());
		
		g.fillOval(x-w/2, y-h/2, w, h);
		g.setColor(Color.black);
		g.drawOval(x-w/2, y-h/2, w, h);
		g.setColor(Color.blue);
		// Affichage de la direction
		int longueurDir = 15;
		g.drawLine(x, y,
			   (int)(x+longueurDir*Math.cos(heading)),
			   (int)(y+longueurDir*Math.sin(heading)));
		g.setColor(Color.black);

                if (this.getSelected()) {
                        g.setColor(Color.green);
                        g.drawOval(x - w/2, y - h/2, w, h);
                }
        }

}
