package pluginSDK;

import java.awt.*;
import java.util.*;
import main.*;

/**
 * Title:        the Wondrous Farm<br>
 * Description:  La classe de base des plugins d'obstacles de la simulation<br>
 * Copyright:    Copyright (c) 2002<br>
 * Company:      minfo<br>
 */
public abstract class Obstacle extends Entity {

        private int type = IS_OBSTACLE;

	public Obstacle() { super(); }

        public Obstacle(int X, int Y) {
                super(X, Y, null);
        }

        public int getType() { return IS_OBSTACLE; }
        public abstract String getKind();

        public abstract void drawEntity(Graphics g);
}
