package plugins;

import pluginSDK.*;
import main.*;

/**
 * Title:        the Wondrous Farm
 * Description:
 * Copyright:    Copyright (c) 2002
 * Company:      minfo
 * @author Sebastien Forget
 * @version 0.8
 */
public class Aleatoire extends Behaviours {

        static {
                System.out.println("chargement du plugin de comportement: \"Aleatoire\"...");
        }

        public Aleatoire() {
        }

        public String getBehaviour() {
                return "Aleatoire";
        }

        public boolean actsOn(Boids p, Entity t, Flock f) {
                if (Math.random()<0.5)
			p.changeDir(p.getHeading() + Math.PI/18);
		else 
			p.changeDir(p.getHeading() - Math.PI/18);
		p.move();
		return true;
        }
}
