package plugins;

import java.awt.Graphics;
import java.awt.Color;

import pluginSDK.Obstacle;
import main.Flock;


/**
 * Title:        the Wondrous Farm
 * Description:
 * Copyright:    Copyright (c) 2002
 * Company:      minfo
 * @author Guillaume VAILLANT
 * @version 1.0
 */
public class BaseObstacle extends Obstacle {

        static {
                System.out.println("chargement du plugin d'Obstacle: \"BaseObstacle\"...");
        }

        public BaseObstacle() {
                super();
                this.setHeight(30);
                this.setWidth(30);
        }

        public BaseObstacle(int X, int Y) {
                super(X, Y);
        }

        public String getKind() {
                return "BaseObstacle";
        }

        public void drawEntity(Graphics g) {
                g.setColor(myColor);
                g.fill3DRect(x - 15, y - 15, 30, 30, true);
                if (this.getSelected()) {
                        g.setColor(Color.green);
                        g.drawOval(x - 17, y - 17, 34, 34);
                }
        }
}
