package plugins;

import java.awt.*;
import java.util.*;
import pluginSDK.*;
import main.*;

/**
 * Title:        the Wondrous Farm
 * Description:
 * Copyright:    Copyright (c) 2002
 * Company:      minfo
 * @author Guillaume VAILLANT
 * @version 0.8
 */
public class BoidType0 extends Boids {

        static {
                System.out.println("chargement du plugin pour Boids: \"BoidType0\"...");
        }

	public BoidType0() {
                super();
                this.setHeight(14);
                this.setWidth(14);
        }

/*        public BoidType0(int X, int Y,
                        double s, double h, double g, double v,
                        String n, Flock f) {
                super(X, Y, s, h, g, v, n, f);
        } */

        public String getKind() { return "BoidType0"; }

/*        public void doYourStuff() {
                Entity p = this.seekNearest();
                ArrayList lb = this.getBehaviours();
                if (lb == null) {
                        System.err.println("[ERR] no behaviours selected");
                        return;
                }

                for (int i = 0; i < lb.size(); i++)
                        ((Behaviours)lb.get(i)).actsOn(this, p, myWorld);
        } */

        public void drawEntity(Graphics g) {

                if (this.isLeader())
                        g.setColor(Color.red);
                else
                        g.setColor(whatIsMyColor());
                g.fillOval(x - 5, y - 5, 10, 10); // la base du boid
                g.drawOval(x - 7, y - 7 , 14, 14);
                g.drawLine(x, y,
                           x + (int)(20 * Math.cos(heading)),
                           y + (int)(20 * Math.sin(heading))); // sa direction
                if (this.getSelected()) {
                        g.setColor(Color.green);
                        g.drawOval(x - 9, y - 9, 18, 18);
                }
        }

}
