package plugins;

import java.awt.*;
import java.util.*;
import pluginSDK.*;
import main.*;

/**
 * Title:        the Wondrous Farm
 * Description:
 * Copyright:    Copyright (c) 2002
 * Company:      minfo
 * @author Guillaume VAILLANT
 * @version 0.8
 */
public class BoidType1 extends Boids {

        static {
                System.out.println("chargement du plugin pour Boids: \"BoidType1\"...");
        }

	public BoidType1() {
                super();
                this.setHeight(10);
                this.setWidth(10);
        }

/*        public BoidType1(int x, int y, double s, double h, double g,
                          double vA, String n, Flock f) {
                super(x, y, s, h, g, vA, n, f);
        } */

        public String getKind() { return "BoidType1"; }

        /**
         * On est cens agir sur les boids que qd on peut voir l'autre boid
         * Comportement implment : rpulsivit
         *      qd un boids en vois un autre, il fait demi-tour, et l'autre aussi (pas trs logique,
         *      mais a donne un meilleur rsultat.
         */
/*        public void doYourStuff() {
                Entity p = seekNearest();
                ArrayList lb = this.getBehaviours();
                for (int i = 0; i < lb.size(); i++)
                        ((Behaviours)lb.get(i)).actsOn(this, p, myWorld);
        }*/

        public void drawEntity(Graphics g) {
                if (this.isLeader())
                        g.setColor(Color.red);
                else
                        g.setColor(whatIsMyColor());
                g.fillOval(x - 5, y - 5, 10, 10); // la base du boid
                g.drawLine(x, y,
                           x + (int)(20 * Math.cos(heading)),
                           y + (int)(20 * Math.sin(heading))); // sa direction
                if (this.getSelected()) {
                        g.setColor(Color.green);
                        g.drawOval(x - 7, y - 7, 14, 14);
                }
        }

}
