package plugins;

import pluginSDK.*;
import main.*;

/**
 * Title:        the Wondrous Farm
 * Description:
 * Copyright:    Copyright (c) 2002
 * Company:      minfo
 * @author Guillaume VAILLANT
 * @version 0.8
 */
public class Repulsive extends Behaviours {

        static {
                System.out.println("chargement du plugin de comportement: \"rpulsivit\"...");
        }

        public Repulsive() {
        }

        public String getBehaviour() {
                return "Repulsive";
        }
        public String getKind() { return null; }

        public boolean actsOn(Boids p, Entity t, Flock f) {

                if ((t != null) &&  (p.distanceDepuisUnPoint(t.getPosX(), t.getPosY()) <= f.minDist) && (p.canSee(t))) {
			p.changeDir(p.getHeading() + Math.PI);
			if (t.getType() == Entity.IS_BOID)
                        	((Boids)t).changeDir(((Boids)t).getHeading() + Math.PI);
                        p.move(p.getAccel());
			if (t.getType() == Entity.IS_BOID)
                        	((Boids)t).move(((Boids)t).getAccel());
			return true;
                }

		return false;
        }
}
