package GUI;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class DeskListener implements MouseListener {

	private JPopupMenu menu;
	private Container ct;
	private JMenuItem sysLF, metalLF, macLF, motifLF, winLF, size;

	public DeskListener(Container c) {

		ct = c;

		JMenuItem title0 = (new JMenuItem("Desk Preferences"));
		JMenuItem title1 = (new JMenuItem("Look And Feel"));
		title0.setEnabled(false);
		title1.setEnabled(false);
		JPopupMenu.Separator separ = (new JPopupMenu.Separator());

		
		sysLF = new JMenuItem("System Default");
		sysLF.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent ae) {
				try {
		                        UIManager.setLookAndFeel(UIManager.getCrossPlatformLookAndFeelClassName());
                		} catch (Exception UIe) {
		                        System.err.println("[ERR] exception caught: " + UIe.getMessage());
                		        UIe.printStackTrace();
	                	}
				SwingUtilities.updateComponentTreeUI(ct);
				menu.setVisible(false);
			}
		});
		metalLF = new JMenuItem("Metal");
		metalLF.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent ae) {
				try {
		                        UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
                		} catch (Exception UIe) {
		                        System.err.println("[ERR] exception caught: " + UIe.getMessage());
                		        UIe.printStackTrace();
	                	}
				SwingUtilities.updateComponentTreeUI(ct);
				menu.setVisible(false);
			}
		});
		macLF = new JMenuItem("MacOS");
		macLF.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent ae) {
				try {
		                        UIManager.setLookAndFeel("it.unitn.ing.swing.plaf.macos.MacOSLookAndFeel");
		                } catch (Exception UIe) {
		                        System.err.println("[ERR] exception caught: " + UIe.getMessage());
		                        UIe.printStackTrace();
		                }
				SwingUtilities.updateComponentTreeUI(ct);
				menu.setVisible(false);
			}
		});
		motifLF = new JMenuItem("Motif");
		motifLF.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent ae) {
				try {
		                        UIManager.setLookAndFeel("com.sun.java.swing.plaf.motif.MotifLookAndFeel");
		                } catch (Exception UIe) {
		                        System.err.println("[ERR] exception caught: " + UIe.getMessage());
		                        UIe.printStackTrace();
		                }
				SwingUtilities.updateComponentTreeUI(ct);
				menu.setVisible(false);
			}
		});
		winLF = new JMenuItem("Win32");
		winLF.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent ae) {
				try {
		                        UIManager.setLookAndFeel("com.sun.java.swing.plaf.windows.WindowsLookAndFeel");
		                } catch (Exception UIe) {
		                        System.err.println("[ERR] exception caught: " + UIe.getMessage());
		                        UIe.printStackTrace();
		                }
				SwingUtilities.updateComponentTreeUI(ct);
				menu.setVisible(false);
			}
		});

		
//		size = new JMenuItem("Change size of Flock");
		
		menu = new JPopupMenu();
		menu.add(title0);
		menu.add(separ);
		menu.add(title1);
//		menu.add(sysLF);
		menu.add(metalLF);
		menu.add(macLF);
		menu.add(motifLF);
		menu.add(winLF);
	}

	public void mouseClicked(MouseEvent e) {
		int mod = e.getModifiers();
		if (mod == MouseEvent.BUTTON3_MASK) {
			menu.setLocation(e.getX(), e.getY());
			menu.setVisible(true);
		}
	}

	public void mousePressed(MouseEvent e) {}

	public void mouseReleased(MouseEvent e) {}

	public void mouseEntered(MouseEvent e) {}

	public void mouseExited(MouseEvent e) {}

}
