package GUI;

import java.awt.event.*;
import javax.swing.JList;
import javax.swing.event.*;

/**
 * <p>
 * Pour grer les problmes de cohrence qd on slectionne des
 * plugins dans les listes.<br>
 * Si vous commencer  slectionner de quoi crer un Boid et que
 * vous cliquez dans la liste des obstacles, la slection est
 * efface.<br>
 * Si vous avez slectionn un obstacle est que vous slectionnez
 * un comportement ou un boid, la slection d'obstacle est annule.
 * </p>
 */
public class PluginSelector implements ListSelectionListener {

	private JList jl1, jl2;

	public PluginSelector(JList jl) {
		jl1 = jl;
		jl2 = null;
	}

	public PluginSelector(JList l1, JList l2) {
		jl1 = l1;
		jl2 = l2;
	}

	public void valueChanged(ListSelectionEvent e) {

		jl1.clearSelection();
		
		if (jl2 != null)
			jl2.clearSelection();	
	}
}
