#!/bin/sh

vers=`date +%d%m%Y-%k%M%S`
name=`basename $PWD`

echo "Building archive $name-$vers.tgz..."

rm `find . -name "*~"`
cd ..
tar cvfz $name-$vers.tgz $name/src $name/classes $name/icons $name/LesPlugins $name/plugins.conf $name/*.sh $name/*.bat $name/Makefile $name/docs $name/lib $name/quickstart
mv $name-$vers.tgz $name
cd $name

echo "done"
